/* bigblow.css --- BigBlow CSS file */

/* Copyright (C) 2011-2014 All Right Reserved, Fabrice Niessen */

/* This file is free software: you can redistribute it and/or */
/* modify it under the terms of the GNU General Public License as */
/* published by the Free Software Foundation, either version 3 of */
/* the License, or (at your option) any later version. */

/* This file is distributed in the hope that it will be useful, */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the */
/* GNU General Public License for more details. */

/* Author: Fabrice Niessen <(concat "fniessen" at-sign "pirilampo.org")> */
/* URL: https://github.com/fniessen/org-html-themes/ */
/* Version: 20140605.0925 */

html, body {
    border: 0;
    margin: 0;
    font-size: 100%;
    font-family: Andika,Helvetica,sans-serif;
    padding: 0;
}

@media print {
    .dontprint {
        display: none;
    }
}

#preamble {
    background: none repeat scroll 0 0 #46484B;
    color: #FFFFFF;
    font-family: Andika,Arial,Helvetica,sans-serif;
    font-size: 90%;
    font-weight: bold;
    height: 224px; /* so that content begins after... */
    padding: 2px 2px 0 6px;
}

#banner {
    text-align: center;
}

#tabs {
    background-color: #2061A2;
    float: left;
    margin: 0px 0px 20px 0px;
    padding: 0;
    width: 100%;
}

    #tabs ul {
        margin: 0;
        padding: 0;
    }

    #tabs li {
        float: left;
        list-style-type: none;
        margin: 0px 2px 0px 0px;
        padding: 0px 0px 0px 0px;
        white-space: nowrap;
    }

        #tabs li a {
            color: #EEEEEE;
            display: block;
            font-size: 13px;
            font-weight: bold;
            margin: 0;
            padding: 4px 10px 4px 10px;
            text-decoration: none;
        }

            #tabs li a:hover {
                background: #759FCF;
                color: #FFFFFF;
            }

            #tabs li.ui-tabs-active a {
                background: #FFFFFF;
                color: #555555;
            }

#content {
    clear: both;
    background-color: #FFFFFF;
    font-size: 100%;
    margin: 0 auto;
    max-width: 810px;
    overflow-x: auto;
    overflow-y: auto;
    padding: 0px 10px 5px 10px;
    Line-Height: 1.3;
}

#postamble {
    color: #999999;
    font-family: Arial,Helvetica,sans-serif;
    font-size: 70%;
    height: 40px;
    margin: 0 auto;
    max-width: 810px;
    padding-right: 30px;
    padding-top: 22px;
    padding: 2px 2px 0 6px;
    text-align: right;
}

body {
    color: #333333;
    font: Andika,13px/1.385 arial,helvetica,clean,sans-serif;
    margin: 0 .1em;
    padding: 0;
}

b {
    color: #000000;
}

i {
    color: #1A1A1A;
}

h1, ul#tabs, h2, h3, h4, h5 {
    font-family: "Trebuchet MS",Verdana,sans-serif;
}

h1 {
    background-color: #0A3F69;
    color: #F8F8F8;
    font-size: 24px;
    margin: 0;
    padding: 9px 0px 0px 10px;
}

h2 {
    border-bottom: 4px solid #67B3E3;
    color: #13679D;
    font-size: 20px;
}

h3, h4, h5, h6 {
    color: #1572AE;
}

h3 {
    border-bottom: 1px solid #B5DAF1;
    font-size: 16px;
    margin-left: 25px;
}

h4 {
    border-bottom: 1px dotted #C9E3F5;
    font-size: 14px;
    margin-left: 60px;
}

h5 {
    font-size: 1em;
    margin-left: 87px;
}

h6 {
    font-size: 1em;
    margin-left: 100px;
}

.DONEheader {
    color: #ADADAD;
    text-decoration: line-through;
}

    h3.DONEheader {
        border-bottom: 1px solid #DDDDDD;
    }

    h4.DONEheader {
        border-bottom: 1px dotted #DDDDDD;
    }

.outline-text-2, .outline-text-3, .outline-text-4, .outline-text-5,
.outline-3 > ul, /* for HTML export of Beamer slides */
.outline-4 > ol, #text-footnotes {
    margin-left: 100px;
}

li > .outline-text-5 {
    margin-left: 20px;
}

ul, ol {
    padding-left: 1.5em;
}

dt {
    color: #1572AE;
    font-weight: bold;
}

dd {
    margin-bottom: 6px;
}

/*div {
    overflow: auto;
    resize: both;
}*/
pre {
    /* Use #EAEAEA for background-color of border with src code block's name */
    background-color: #EAEAEA;
    border: 1px solid #DEDEDE;
    color: #444444;
    font-family: "Ubuntu Mono", monospace;
    line-height: 1.14em;
    padding: 10px;
    resize: horizontal;
    writing-mode: horizontal-tb;
    direction: ltr;
    word-wrap: break-word;
    width: auto;

}

code {
    background-color: #F8F8FF;
    border: 1px solid #DEDEDE;
    overflow: scroll;
    resize:horizontal;
    color: #444444;
    font-family: "Ubuntu Mono", monospace;
    /* font-size: 0.93em; */
    margin: 0px 1px;
    padding: 0px 2px;

}

li > p, li > ul, li > .inlinetask, li > dl {
    margin-left: 0px;
}

dd > p, dd > ul, dd > .inlinetask, dd > dl {
    margin-left: 0px;
}

li.checked {
    list-style-image: url('../images/checked.png');
}

li.halfchecked {
    list-style-image: url('../images/halfchecked.png');
}

li.unchecked {
    list-style-image: url('../images/unchecked.png');
}

a, a:link, a:visited {
    color: #2061A2;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

a:focus {
    outline: none;
}

#search {
    border-radius: 3px;
    background: none repeat scroll 0 0 #FFFFFF;
    display: block;
    float: right;
    height: 18px;
    margin: 5px 10px 0 0;
    overflow: hidden;
    padding: 0 3px;
    width: 188px;
}

    #search input {
        border: 0 none;
        color: #666666;
        float: left;
        font-family: Arial,Helvetica,sans-serif;
        font-size: 11px;
        font-weight: normal;
        margin: 0;
        padding: 2px 4px;
        width: 160px;
    }

    #search button {
        background: url("../images/search-glass.png") no-repeat scroll 0 50% transparent;
        border: 0 none;
        cursor: pointer;
        display: block;
        float: right;
        height: 18px;
        margin: 0;
        text-indent: -999em;
        width: 14px;
    }

table {
    border-collapse: collapse;
    margin-right: auto;
    margin-left: auto;
}

    table td {
        padding: 3px 5px;
    }

table, th, td
{
    border: 1px solid #B5DAF1;
    border-left: 2px solid white;
    border-right: 2px solid white;
}

th
{
    border-width: 1px 2px;
    border-color: white;
    background-color: #2061A2;
    color: white;
}

caption {
    color: #8D8D84;
}

img {
    display: block;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.figure {
    color: #8D8D84;
    text-align: center;
}

.fixme {
    background: #FFFF88 url('../images/fixme.png') no-repeat top left;
    color: #CC0000;
    display: inline-block;
    height: 16px;
    text-indent: -9999px;
    width: 82px;
}

.left {
    text-align: left;
}

.right {
    text-align: right;
}

.center {
    text-align: center;
}

.justify {
    text-align: justify;
}

.inlinetask {
    background-color: #F7F7F7;
    border-collapse: separate;
    border-color: #EEEEEE #EEEEEE #EEEEEE #1E90FF;
    border-style: solid;
    border-width: 1px 1px 1px 6px;
    padding: 8px 8px 0px 8px;
    margin: 10px 0px;
}

    .inlinetask td {
        padding: 2px 5px 0px 2px;
        border: 0px;
    }

.info {
    border: 1px solid;
    background: url('../images/info.png') no-repeat 10px 10px #BDE5F8;
    color: #00529B;
    padding: 4px 10px 4px 52px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    margin: 10px 0px;
}

.tip {
    border: 1px solid;
    background: url('../images/tip.png') no-repeat 10px 10px #DFF2BF;
    color: #4F8A10;
    padding: 4px 10px 4px 52px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    margin: 10px 0px;
}

.note {
    border: 1px solid;
    background: url('../images/note.png') no-repeat 10px 10px #FFFCCB;
    color: #9F6000;
    padding: 4px 10px 4px 52px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    margin: 10px 0px;
}

.warning {
    border: 1px solid;
    background: url('../images/warning.png') no-repeat 10px 10px #FFBABA;
    color: #D8000C;
    padding: 4px 10px 4px 52px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    margin: 10px 0px;
}

.todo, .done {
    margin: 10px 0;
    padding: 0px 2px;
}

.NEW {
    background-color: #FDFCD8;
    border: 1px solid #EEE9C3;
    color: #302B13;
    font-weight: normal;
}

.TODO {
    background-color: #FED5D7;
    border: 1px solid #FC5158;
    color: #FC5158;
}

.STRT, .STARTED {
    background-color: #FEF2D4;
    border: 1px solid #FDBF3D;
    color: #FDBF3D;
}

.WAIT, .WAITING, .DLGT, .DELEGATED {
    background-color: #DFFFDF;
    border: 1px solid #55BA80;
    color: #55BA80;
}

.SDAY, .SOMEDAY, .DFRD, .DEFERRED {
    background-color: #D3EEFF;
    border: 1px solid #42B5FF;
    color: #42B5FF;
}

.DONE, .CANX, .CANCELED {
    background-color: #F2F2EE;
    border: 1px solid #969696;
    color: #969696;
}

.tag span { 
    background-color: #EDEDED;
    border: 1px solid #EDEDED;
    color: #939393;
    cursor: pointer;
    display: block;
    float: right;
    font-size: 80%;
    font-weight: normal;
    margin: 0 3px;
    padding: 1px 2px;
    border-radius: 10px;
}

    #right-panel-contents .tag span {
        font-size: 100%;
    }

    .tag span:hover {
        background: #BABDB6;
    }

    .tag .FLAGGED {
        background-color: #EDC6C8;
        border: 1px solid #EDC6C8;
        color: #C15F4E;
    }

.tag .selected {
    background-color: #FFEBC1;
    border: 1px solid #FDBF3B;
    color: #A6750C;
}

#listOfTags .tag span {
    display: inline;
    float: none;
}

span.todo {
    cursor: pointer;
    /* display: block; */
    /* float: left; */
    margin: -1px 3px 0px 0px;
}

    span.todo:hover {
        background: #BABDB6;
        color: #888888;
    }

span.todo .selected {
    background-color: #FFEBC1;
    border-color: #FDBF3B;
    color: #A6750C;
}

.matchtag {
    background-color: #FBFFC0;
}

.matchNEW {
    background-color: #FDFCD8;
}

.matchTODO {
    background-color: #FFE6E4;
}

.matchSTRT {
    background-color: #FEF2D4;
}

.matchWAIT, .matchDLGT {
    background-color: #DFFFDF;
}

.matchSDAY, .matchDFRD {
    background-color: #E0EFFF;
}

#listOfTodo, #listOfDone, #listOfTags {
    /* bottom: 10px; /\* together with this to put the div at the bottom*\/ */
    /* left: 10px; */
    /* list-style-type: none; */
    margin-left: 0px;
    /* position: fixed; /\* this is the magic *\/ */
}

.timestamp-kwd {
    background-color: #FFF1F1;
    color: #880000;
    margin: 0px 4px 0px 0px;
    padding: 2px 0px 2px 2px;
}

.timestamp {
    color: #777777;
    font-size: 80%;
}

#table-of-contents {
    background-color: #FFFFDD;
    border: 1px solid #E4E4E4;
    display: table;
    line-height: 1.2em;
    padding: 4px;
    margin: 4px;
    max-width: 400px;
    float: right;
    width: auto;
}

    #table-of-contents h2 {
        display: none;
    }

    #table-of-contents ul {
        margin: 0;
        padding: 0;
    }

    #table-of-contents li {
        list-style-type: none;
        margin: 0;
    }

        #table-of-contents li li {
            margin-left: 1.5em;
        }

            #table-of-contents li li li {
                font-size: 0.8em;
            }

    #table-of-contents a {
        color: #606060;
        font-size: 0.9em;
        font-weight: normal;
        text-decoration: none;
    }

        #table-of-contents a:hover {
            color: #C61A1A;
            text-decoration: underline;
        }

#minitoc {
    background-color: #FFFFDD;
    border: 1px solid #E4E4E4;
    color: #484848;
    line-height: 1.2em;
    margin: 12px;
    padding: 4px;
    position: fixed;
    width: auto;
}

#minitoc a {
    display: block;
    font-size: 10px;
    font-weight: normal;
}

#minitoc a {
    display: none;
}

#minitoc:hover a {
    display: block;
}

#minitoc h2 {
    margin: 3px 0px;
    border: none;
    font-size: 11px;
}

p.verse {
    color: #808080;
    font-style: italic;
}

.example {
    background-color: #DDFADE;
    border: 1px solid #9EC49F;
    color: #333333;
}

.alert {
    font-weight: bold;
    color: #FF0000;
}

#toTop {
    background: #F7F7F7;
    border: 1px solid #CCCCCC;
    top: 10px;                          /* together with this to put the div at the top */
    color: #333333;
    cursor: pointer;
    display: none;
    font-family: verdana;
    font-size: 12px;
    padding: 5px;
    position: fixed;                    /* this is the magic */
    right: 10px;
    text-align: center;
    width: 100px;
    z-index: 999;
}

    #toTop:hover {
        text-decoration: underline;
    }

#left-panel-wrapper {
    position: fixed;
    z-index: 200;
    /* display: none; /\* hide the panel if Javascript is not running *\/ */
}

#left-panel-contents {
    background-color: #EFEFEF;
    border-right: 1px dotted #ADADAD;
    display: none;
    height: 100%;
    left: 0px;
    position: fixed;
    text-align: left;
    top: 0;
    width: 199px;
    z-index: 200;
    padding-top: 7px;
    padding-left: 7px;
}

#left-panel-button {
    transform: rotate(90deg);
    background-color: #EFEFEF;
    border: 1px dotted #ADADAD;
    border-bottom-width: 0px;
    left: -23px;
    position: fixed;
    top: 50%;
    z-index: 200;
    padding: 2px 5px 5px 5px;
}

#right-panel-wrapper {
    position: fixed;
    z-index: 200;
    /* display: none; /\* hide the panel if Javascript is not running *\/ */
}

#right-panel-contents {
    background-color: #EFEFEF;
    border-left: 1px dotted #ADADAD;
    display: none;
    height: 100%;
    right: 0px;
    position: fixed;
    text-align: left;
    top: 0;
    width: 199px;
    z-index: 200;
    padding-top: 7px;
    padding-left: 7px;
}

.org-src-container {
    position: relative; 
    overflow: auto;
    width: auto;
    resize: horizontal;
    word-wrap: break-word;
}

.snippet-copy-to-clipboard {
    display: none;
    position: absolute;
    right: 10px;
    top: 5px;
    font-size: 0.9em;
    text-decoration:underline;
    word-wrap: break-word;
    overflow: auto;
    resize: both;
}

.copy-to-clipboard-button:hover {
    cursor: pointer;
}

/* This is for the sake of Emacs. */
/* Local Variables: */
/* eval: (when (locate-library "rainbow-mode") (require 'rainbow-mode) (rainbow-mode)) */
/* End: */
